Portfolio Accounts
In non-tiered account structures, returns a list of accounts for which the user can view position and account information. This endpoint must be called prior to calling other /portfolio endpoints for those accounts. For querying a list of accounts which the user can trade, see /iserver/accounts. For a list of subaccounts in tiered account structures (e.g. financial advisor or ibroker accounts) see /portfolio/subaccounts.
GET /portfolio/accounts
Request Object
No params or body content should be sent.
Python
Abap
Response Object
id: String
The account ID for which account should place the order.
accountId: String
The account ID for which account should place the order.
accountVan: String
The account alias for which account should place the order.
accountTitle: String
Title of the account
displayName: String
The account ID for which account should place the order.
accountAlias: String
User customizable account alias. Refer to Configure Account Alias for details.
accountStatus: int.
When the account was opened in unix time.
currency: String
Base currency of the account.
type: String
Account Type
tradingType: String
Account trading structure.
businessType: String.
Returns the organizational strcuture of the account.
ibEntity: String.
Returns the entity of Interactive Brokers the account is tied to.
faClient: bool.
If an account is a sub-account to a Financial Advisor.
clearingStatus: String
Status of the Account
Potential Values: O: Open; P or N: Pending; A: Abandoned; R: Rejected; C: Closed.
covestor: bool.
Is a Covestor Account
noClientTrading: bool.
Returns if the client account may trade.
trackVirtualFXPortfolio: bool.
Returns if the account is tracking Virtual FX or not.
parent: {
mmc: Array of Strings.
Returns the Money Manager Client Account.
accountId: String
Account Number for Money Manager Client
isMParent: bool.
Returns if this is a Multiplex Parent Account
isMChild: bool.
Returns if this is a Multiplex Child Account
isMultiplex: bool.
Is a Multiplex Account. These are account models with individual account being parent and managed account being child.
}
desc: String
Returns an account description.
Value Format: “accountId – accountAlias”
}]

